Bug 986688 - [abrt] xfce4-panel-4.10.1-1.fc20: handle_error: Process /usr/lib64/xfce4/panel/wrapper was killed by signal 5 (SIGTRAP)
[abrt] xfce4-panel-4.10.1-1.fc20: handle_error: Process /usr/lib64/xfce4/pane...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:e90ea0efe4da4829ce5d7869a0a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 11:51 EDT by Filipe Rosset
Modified: 2015-06-29 20:40 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.06 KB, text/plain)
2013-07-21 11:51 EDT, Filipe Rosset
no flags Details
File: cgroup (159 bytes, text/plain)
2013-07-21 11:51 EDT, Filipe Rosset
no flags Details
File: core_backtrace (2.58 KB, text/plain)
2013-07-21 11:51 EDT, Filipe Rosset
no flags Details
File: dso_list (6.89 KB, text/plain)
2013-07-21 11:51 EDT, Filipe Rosset
no flags Details
File: environ (1.69 KB, text/plain)
2013-07-21 11:51 EDT, Filipe Rosset
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-21 11:51 EDT, Filipe Rosset
no flags Details
File: maps (32.66 KB, text/plain)
2013-07-21 11:51 EDT, Filipe Rosset
no flags Details
File: open_fds (260 bytes, text/plain)
2013-07-21 11:51 EDT, Filipe Rosset
no flags Details
File: proc_pid_status (1.07 KB, text/plain)
2013-07-21 11:51 EDT, Filipe Rosset
no flags Details
File: var_log_messages (918 bytes, text/plain)
2013-07-21 11:52 EDT, Filipe Rosset
no flags Details

  None (edit)
Description Filipe Rosset 2013-07-21 11:51:22 EDT
Description of problem:
logged in Xfce (rawhide)

Version-Release number of selected component:
xfce4-panel-4.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper /usr/lib64/xfce4/panel/plugins/libsystray.so 6 12582945 systray 'Notification Area' 'Area where notification icons appear' ''
crash_function: handle_error
executable:     /usr/lib64/xfce4/panel/wrapper
kernel:         3.11.0-0.rc1.git1.1.fc20.x86_64
runlevel:       N 5
uid:            1005

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:213
 #5 handle_response at xcb_io.c:325
 #7 XInternAtom at IntAtom.c:181
 #8 gdk_x11_atom_to_xatom_for_display at gdkproperty-x11.c:210
 #9 _gtk_xembed_send_message at gtkxembed.c:157
 #10 _gtk_socket_windowing_embed_notify at gtksocket-x11.c:286
 #11 _gtk_socket_add_window at gtksocket.c:954
 #12 gtk_socket_add_id at gtksocket.c:346
 #13 systray_manager_handle_dock_request at systray-manager.c:713
 #14 systray_manager_window_filter at systray-manager.c:494

Potential duplicate: bug 712779
Comment 1 Filipe Rosset 2013-07-21 11:51:27 EDT
Created attachment 776479 [details]
File: backtrace
Comment 2 Filipe Rosset 2013-07-21 11:51:34 EDT
Created attachment 776480 [details]
File: cgroup
Comment 3 Filipe Rosset 2013-07-21 11:51:37 EDT
Created attachment 776481 [details]
File: core_backtrace
Comment 4 Filipe Rosset 2013-07-21 11:51:40 EDT
Created attachment 776482 [details]
File: dso_list
Comment 5 Filipe Rosset 2013-07-21 11:51:43 EDT
Created attachment 776483 [details]
File: environ
Comment 6 Filipe Rosset 2013-07-21 11:51:47 EDT
Created attachment 776484 [details]
File: limits
Comment 7 Filipe Rosset 2013-07-21 11:51:50 EDT
Created attachment 776485 [details]
File: maps
Comment 8 Filipe Rosset 2013-07-21 11:51:53 EDT
Created attachment 776486 [details]
File: open_fds
Comment 9 Filipe Rosset 2013-07-21 11:51:56 EDT
Created attachment 776487 [details]
File: proc_pid_status
Comment 10 Filipe Rosset 2013-07-21 11:52:00 EDT
Created attachment 776488 [details]
File: var_log_messages
Comment 11 Kevin Fenzi 2013-07-21 13:04:38 EDT
What were you doing when this happened?

Can you duplicate it?
Comment 12 Filipe Rosset 2013-07-21 13:09:37 EDT
Hi Kevin, it happened while I was log in my Xfce desktop. For while it happened once, but I've decided to report it since it happened in rawhide. Let me know if you need additional debug from my side.
Comment 13 Kevin Fenzi 2013-07-21 14:11:00 EDT
ok. I'll see what I can make of the backtrace. 

Thanks for reporting.
Comment 14 Fedora End Of Life 2013-09-16 12:48:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 15 chaos.aeterna 2014-05-28 13:58:59 EDT
Another user experienced a similar problem:

The problem appeared just right after I logged in.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper /usr/lib64/xfce4/panel/plugins/libsystray.so 6 25165871 systray 'Notification Area' 'Area where notification icons appear' ''
crash_function: handle_error
executable:     /usr/lib64/xfce4/panel/wrapper
kernel:         3.14.4-200.fc20.x86_64
package:        xfce4-panel-4.10.1-3.fc20
reason:         wrapper killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Yago Dorea 2014-06-03 12:37:19 EDT
Another user experienced a similar problem:

The environment crashed after rebooting in the middle of an update.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper /usr/lib64/xfce4/panel/plugins/libsystray.so 6 25165857 systray 'Notification Area' 'Area where notification icons appear' ''
crash_function: handle_error
executable:     /usr/lib64/xfce4/panel/wrapper
kernel:         3.13.5-202.fc20.x86_64
package:        xfce4-panel-4.10.1-3.fc20
reason:         wrapper killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Laurent Weislo 2014-06-27 11:51:16 EDT
Another user experienced a similar problem:

During the startup of the Xfce desktop !

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper /usr/lib64/xfce4/panel/plugins/libsystray.so 5 25165870 systray 'Notification Area' 'Area where notification icons appear' ''
crash_function: handle_error
executable:     /usr/lib64/xfce4/panel/wrapper
kernel:         3.14.8-200.fc20.x86_64
package:        xfce4-panel-4.10.1-3.fc20
reason:         wrapper killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Marco Guazzone 2014-06-30 01:27:33 EDT
Another user experienced a similar problem:

Don't know. Just logged in XFCE.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper /usr/lib64/xfce4/panel/plugins/libsystray.so 6 10485796 systray 'Notification Area' 'Area where notification icons appear' ''
crash_function: handle_error
executable:     /usr/lib64/xfce4/panel/wrapper
kernel:         3.14.8-200.fc20.x86_64
package:        xfce4-panel-4.10.1-3.fc20
reason:         wrapper killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 veronica andreo 2014-07-02 18:59:05 EDT
Another user experienced a similar problem:

i just started the computer...

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper /usr/lib64/xfce4/panel/plugins/libsystray.so 6 23068705 systray 'Notification Area' 'Area where notification icons appear' ''
crash_function: handle_error
executable:     /usr/lib64/xfce4/panel/wrapper
kernel:         3.14.9-200.fc20.x86_64
package:        xfce4-panel-4.10.1-3.fc20
reason:         wrapper killed by SIGTRAP
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 20 Fedora End Of Life 2015-05-29 05:12:23 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2015-06-29 20:40:16 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.